' Gnerates Devereux, Senay and Sutherland Table 2

smpl 1972 2005 if g7>0
equation g70.ls(cx=f) gport1 sdi chinn time ar(1)
equation g70d.ls(cx=f) debt1 sdi chinn time ar(1)
equation g70e.ls(cx=f) equity1 sdi chinn time ar(1)
equation g71.ls(cx=f) gport1 sdi chinn time sds sdy trade ar(1)
equation g71d.ls(cx=f) debt1 sdi chinn time sds sdy trade ar(1)
equation g71e.ls(cx=f) equity1 sdi chinn time sds sdy trade ar(1)

smpl 1972 2005 if g7>0
series sdif0=0
delete sdif0
equation eq080.ls sdi c cbi
series sdif0=eq080.@coefs(1) + eq080.@coefs(2)*cbi
equation g72.ls(cx=f) gport1 sdif0 chinn time sds sdy trade ar(1)
equation g72d.ls(cx=f) debt1 sdif0 chinn time sds sdy trade ar(1)
equation g72e.ls(cx=f) equity1 sdif0 chinn time sds sdy trade  ar(1)
equation g72i.ls(cx=f) gport1 sdif0 chinn time sds sdy trade chinn*sdif0  ar(1)
equation g72r.ls(cx=f) gport1 sdif0 chinn sds trade time ar(1)

smpl 1972 2005 if oecd72>0
equation od0.ls(cx=f) gport1 sdi chinn time ar(1)
equation od0d.ls(cx=f) debt1 sdi chinn time ar(1)
equation od0e.ls(cx=f) equity1 sdi chinn time ar(1)
equation od1.ls(cx=f) gport1 sdi chinn time sds sdy trade ar(1)
equation od1d.ls(cx=f) debt1 sdi chinn time sds sdy trade ar(1)
equation od1e.ls(cx=f) equity1 sdi chinn time sds sdy trade ar(1)

smpl 1972 2005 if oecd72>0
series sdif2=0
delete sdif2
equation eq082.ls sdi c cbi
series sdif2=eq082.@coefs(1) + eq082.@coefs(2)*cbi
equation od2.ls(cx=f) gport1 sdif2 chinn time sds sdy trade ar(1)
equation od2d.ls(cx=f) debt1 sdif2 chinn time sds sdy trade ar(1)
equation od2e.ls(cx=f) equity1 sdif2 chinn time sds sdy trade ar(1)
equation od2i.ls(cx=f) gport1 sdif2 chinn time sds sdy trade chinn*sdif0 ar(1)
equation od2r.ls(cx=f) gport1 sdif2 chinn time sds trade ar(1)

table(10,10) table2
delete table2
table(30,20) table2

table2.setformat(2,B,10,D) f.2

setcell(table2, 3, 1, "Constant", "l") 
setcell(table2, 6, 1, "SD(inflation)", "l") 
setcell(table2, 9, 1, "Chinn-Ito index", "l") 
setcell(table2, 12, 1, "SD(exchange rate)", "l")  
setcell(table2, 15, 1, "SD(GDP)", "l") 
setcell(table2, 18, 1, "Trade", "l")
setcell(table2, 21, 1, "Time trend", "l") 
setcell(table2, 24, 1, "AR(1)", "l")
setcell(table2, 27, 1, "R-squared", "l")
setcell(table2, 28, 1, "F-stat", "l")
setcell(table2, 29, 1, "DW-stat", "l")
setcell(table2, 1, 4, "draft table", "l")

table2(3,3)=g71.@coefs(1)
table2(4,3)=g71.@tstats(1)
table2(6,3)=g71.@coefs(2)
table2(7,3)=g71.@tstats(2)
table2(9,3)=g71.@coefs(3)
table2(10,3)=g71.@tstats(3)
table2(12,3)=g71.@coefs(5)
table2(13,3)=g71.@tstats(5)
table2(15,3)=g71.@coefs(6)
table2(16,3)=g71.@tstats(6)
table2(18,3)=g71.@coefs(7)
table2(19,3)=g71.@tstats(7)
table2(21,3)=g71.@coefs(4)
table2(22,3)=g71.@tstats(4)
table2(24,3)=g71.@coefs(8)
table2(27,3)=g71.@r2
table2(28,3)=g71.@f
table2(29,3)=g71.@dw

table2(3,4)=g72.@coefs(1)
table2(4,4)=g72.@tstats(1)
table2(6,4)=g72.@coefs(2)
table2(7,4)=g72.@tstats(2)
table2(9,4)=g72.@coefs(3)
table2(10,4)=g72.@tstats(3)
table2(12,4)=g72.@coefs(5)
table2(13,4)=g72.@tstats(5)
table2(15,4)=g72.@coefs(6)
table2(16,4)=g72.@tstats(6)
table2(18,4)=g72.@coefs(7)
table2(19,4)=g72.@tstats(7)
table2(21,4)=g72.@coefs(4)
table2(22,4)=g72.@tstats(4)
table2(24,4)=g72.@coefs(8)
table2(27,4)=g72.@r2
table2(28,4)=g72.@f
table2(29,4)=g72.@dw

table2(3,5)=od1.@coefs(1)
table2(4,5)=od1.@tstats(1)
table2(6,5)=od1.@coefs(2)
table2(7,5)=od1.@tstats(2)
table2(9,5)=od1.@coefs(3)
table2(10,5)=od1.@tstats(3)
table2(12,5)=od1.@coefs(5)
table2(13,5)=od1.@tstats(5)
table2(15,5)=od1.@coefs(6)
table2(16,5)=od1.@tstats(6)
table2(18,5)=od1.@coefs(7)
table2(19,5)=od1.@tstats(7)
table2(21,5)=od1.@coefs(4)
table2(22,5)=od1.@tstats(4)
table2(24,5)=od1.@coefs(8)
table2(27,5)=od1.@r2
table2(28,5)=od1.@f
table2(29,5)=od1.@dw

table2(3,6)=od2.@coefs(1)
table2(4,6)=od2.@tstats(1)
table2(6,6)=od2.@coefs(2)
table2(7,6)=od2.@tstats(2)
table2(9,6)=od2.@coefs(3)
table2(10,6)=od2.@tstats(3)
table2(12,6)=od2.@coefs(5)
table2(13,6)=od2.@tstats(5)
table2(15,6)=od2.@coefs(6)
table2(16,6)=od2.@tstats(6)
table2(18,6)=od2.@coefs(7)
table2(19,6)=od2.@tstats(7)
table2(21,6)=od2.@coefs(4)
table2(22,6)=od2.@tstats(4)
table2(24,6)=od2.@coefs(8)
table2(27,6)=od2.@r2
table2(28,6)=od2.@f
table2(29,6)=od2.@dw

table2(3,7)=od2d.@coefs(1)
table2(4,7)=od2d.@tstats(1)
table2(6,7)=od2d.@coefs(2)
table2(7,7)=od2d.@tstats(2)
table2(9,7)=od2d.@coefs(3)
table2(10,7)=od2d.@tstats(3)
table2(12,7)=od2d.@coefs(5)
table2(13,7)=od2d.@tstats(5)
table2(15,7)=od2d.@coefs(6)
table2(16,7)=od2d.@tstats(6)
table2(18,7)=od2d.@coefs(7)
table2(19,7)=od2d.@tstats(7)
table2(21,7)=od2d.@coefs(4)
table2(22,7)=od2d.@tstats(4)
table2(24,7)=od2d.@coefs(8)
table2(27,7)=od2d.@r2
table2(28,7)=od2d.@f
table2(29,7)=od2d.@dw

table2(3,8)=od2e.@coefs(1)
table2(4,8)=od2e.@tstats(1)
table2(6,8)=od2e.@coefs(2)
table2(7,8)=od2e.@tstats(2)
table2(9,8)=od2e.@coefs(3)
table2(10,8)=od2e.@tstats(3)
table2(12,8)=od2e.@coefs(5)
table2(13,8)=od2e.@tstats(5)
table2(15,8)=od2e.@coefs(6)
table2(16,8)=od2e.@tstats(6)
table2(18,8)=od2e.@coefs(7)
table2(19,8)=od2e.@tstats(7)
table2(21,8)=od2e.@coefs(4)
table2(22,8)=od2e.@tstats(4)
table2(24,8)=od2e.@coefs(8)
table2(27,8)=od2e.@r2
table2(28,8)=od2e.@f
table2(29,8)=od2e.@dw
